Bug 477854

Summary: KWin compositing crashes on Nvidia 340
Product: [Plasma] kwin Reporter: Omar Ibrahim <guideddrone>
Component: generalAssignee: KWin default assignee <kwin-bugs-null>
Status: REOPENED ---    
Severity: crash CC: nate, nessie
Priority: NOR Keywords: drkonqi, qt6
Version: unspecified   
Target Milestone: ---   
Platform: Arch Linux   
OS: Linux   
Latest Commit: Version Fixed In: 6.0.1

Description Omar Ibrahim 2023-12-01 17:44:16 UTC
Application: kwin_x11 (5.90.0)

Qt Version: 6.6.1
Frameworks Version: 5.246.0
Operating System: Linux 6.6.3-arch1-1 x86_64
Windowing System: X11
Distribution: Arch Linux
DrKonqi: 5.90.0 [CoredumpBackend]

-- Information about the crash:
SUMMARY
KWin compositing crashes on Nvidia 340

STEPS TO REPRODUCE
1. Startup KDE Plasma

OBSERVED RESULT
KWin compositing crashes on Nvidia 340

EXPECTED RESULT
KWin compositing should work

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.90.0
KDE Frameworks Version: 5.246.0
Qt Version: 6.6.1
Kernel Version: 6.6.3-arch1-1 (64-bit)
Graphics Platform: X11
Graphics Card: Nvidia NVS 290 using Driver 340.108

ADDITIONAL INFORMATION
Wayland runs fine (probably uses software only). Only X11 compositing crashes.
Also, System Settings render blank unless I change the Plasma Renderer Backend to software, But It's probably related to this issue.

The crash can be reproduced every time.

-- Backtrace:
Application: KWin (kwin_x11), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = <optimized out>}
           PID: 5635 (kwin_x11)
           UID: 1000 (ddrone)
           GID: 1000 (ddrone)
        Signal: 11 (SEGV)
     Timestamp: Fri 2023-12-01 19:11:34 EET (11min ago)
  Command Line: /usr/bin/kwin_x11 --replace
    Executable: /usr/bin/kwin_x11
 Control Group: /user.slice/user-1000.slice/user@1000.service/session.slice/plasma-kwin_x11.service
          Unit: user@1000.service
     User Unit: plasma-kwin_x11.service
         Slice: user-1000.slice
     Owner UID: 1000 (ddrone)
       Boot ID: 32b1c25824b544b9ada30a4fd33134f0
    Machine ID: 20723e79f75e481f93aa2aa8e69d7958
      Hostname: dell
       Storage: /var/lib/systemd/coredump/core.kwin_x11.1000.32b1c25824b544b9ada30a4fd33134f0.5635.1701450694000000.zst (present)
  Size on Disk: 5.5M
       Message: Process 5635 (kwin_x11) of user 1000 dumped core.
                
                Module libnvidia-glcore.so.340.108 without build-id.
                Module libnvidia-tls.so.340.108 without build-id.
                Module libGL.so.1 without build-id.
                Stack trace of thread 5635:
                #0  0x00007fa87bab19d8 pthread_sigmask (libc.so.6 + 0x939d8)
                #1  0x00007fa87ba5c90d sigprocmask (libc.so.6 + 0x3e90d)
                #2  0x00007fa87f3074eb _ZN6KCrash15setCrashHandlerEPFviE (libKF6Crash.so.6 + 0x54eb)
                #3  0x00007fa87f309958 _ZN6KCrash19defaultCrashHandlerEi (libKF6Crash.so.6 + 0x7958)
                #4  0x00007fa87ba5c710 n/a (libc.so.6 + 0x3e710)
                #5  0x000055c5883c7d2e n/a (kwin_x11 + 0x69d2e)
                #6  0x000055c5883c80ed n/a (kwin_x11 + 0x6a0ed)
                #7  0x00007fa87ebd2542 _ZN4KWin13X11Compositor24attemptOpenGLCompositingEv (libkwin.so.6 + 0x1d2542)
                #8  0x00007fa87ebd2e44 _ZN4KWin13X11Compositor5startEv (libkwin.so.6 + 0x1d2e44)
                #9  0x00007fa87c1b9ec9 n/a (libQt6Core.so.6 + 0x1b9ec9)
                #10 0x00007fa87edb50ca _ZN4KWin9Workspace15slotReconfigureEv (libkwin.so.6 + 0x3b50ca)
                #11 0x00007fa87c1b9ec9 n/a (libQt6Core.so.6 + 0x1b9ec9)
                #12 0x00007fa87c1c1f84 _ZN6QTimer10timerEventEP11QTimerEvent (libQt6Core.so.6 + 0x1c1f84)
                #13 0x00007fa87c1a53b6 _ZN7QObject5eventEP6QEvent (libQt6Core.so.6 + 0x1a53b6)
                #14 0x00007fa87d17319b _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt6Widgets.so.6 + 0x17319b)
                #15 0x00007fa87c162a78 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt6Core.so.6 + 0x162a78)
                #16 0x00007fa87c2c8236 _ZN14QTimerInfoList14activateTimersEv (libQt6Core.so.6 + 0x2c8236)
                #17 0x00007fa87c39e90c n/a (libQt6Core.so.6 + 0x39e90c)
                #18 0x00007fa87b1a2f69 n/a (libglib-2.0.so.0 + 0x59f69)
                #19 0x00007fa87b201327 n/a (libglib-2.0.so.0 + 0xb8327)
                #20 0x00007fa87b1a1162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #21 0x00007fa87c39d074 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x39d074)
                #22 0x00007fa87c16cf5e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x16cf5e)
                #23 0x00007fa87c165518 _ZN16QCoreApplication4execEv (libQt6Core.so.6 + 0x165518)
                #24 0x000055c5883a7ba5 n/a (kwin_x11 + 0x49ba5)
                #25 0x00007fa87ba45cd0 n/a (libc.so.6 + 0x27cd0)
                #26 0x00007fa87ba45d8a __libc_start_main (libc.so.6 + 0x27d8a)
                #27 0x000055c5883abe75 n/a (kwin_x11 + 0x4de75)
                
                Stack trace of thread 5648:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5641:
                #0  0x00007fa87bb20f6f __poll (libc.so.6 + 0x102f6f)
                #1  0x00007fa87b201276 n/a (libglib-2.0.so.0 + 0xb8276)
                #2  0x00007fa87b1a1162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #3  0x00007fa87c39d09a _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x39d09a)
                #4  0x00007fa87c16cf5e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x16cf5e)
                #5  0x00007fa87c24a13f _ZN7QThread4execEv (libQt6Core.so.6 + 0x24a13f)
                #6  0x00007fa87d87b95f n/a (libQt6DBus.so.6 + 0x2f95f)
                #7  0x00007fa87c2c9e63 n/a (libQt6Core.so.6 + 0x2c9e63)
                #8  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #9  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5653:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5650:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5655:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5659:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 7697:
                #0  0x00007fa87bb20f6f __poll (libc.so.6 + 0x102f6f)
                #1  0x00007fa87b201276 n/a (libglib-2.0.so.0 + 0xb8276)
                #2  0x00007fa87b1a1162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #3  0x00007fa87c39d074 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x39d074)
                #4  0x00007fa87c16cf5e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x16cf5e)
                #5  0x00007fa87c24a23f _ZN7QThread3runEv (libQt6Core.so.6 + 0x24a23f)
                #6  0x00007fa87c2c9e63 n/a (libQt6Core.so.6 + 0x2c9e63)
                #7  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #8  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5657:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5656:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5645:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5660:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5647:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5651:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5649:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5646:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5652:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4ca54c n/a (swrast_dri.so + 0x6ca54c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5654:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5658:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86e4b2db4 n/a (swrast_dri.so + 0x6b2db4)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5661:
                #0  0x00007fa87baa74ae n/a (libc.so.6 + 0x894ae)
                #1  0x00007fa87baa9d40 pthread_cond_wait (libc.so.6 + 0x8bd40)
                #2  0x00007fa86ded1b5c n/a (swrast_dri.so + 0xd1b5c)
                #3  0x00007fa86df1ca0c n/a (swrast_dri.so + 0x11ca0c)
                #4  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #5  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                
                Stack trace of thread 5669:
                #0  0x00007fa87bb20f6f __poll (libc.so.6 + 0x102f6f)
                #1  0x00007fa87b201276 n/a (libglib-2.0.so.0 + 0xb8276)
                #2  0x00007fa87b1a1162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #3  0x00007fa87c39d074 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x39d074)
                #4  0x00007fa87c16cf5e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x16cf5e)
                #5  0x00007fa87c24a23f _ZN7QThread3runEv (libQt6Core.so.6 + 0x24a23f)
                #6  0x00007fa87c2c9e63 n/a (libQt6Core.so.6 + 0x2c9e63)
                #7  0x00007fa87baaa9eb n/a (libc.so.6 + 0x8c9eb)
                #8  0x00007fa87bb2e7cc n/a (libc.so.6 + 0x1107cc)
                ELF object binary architecture: AMD x86-64

[New LWP 5635]
[New LWP 5648]
[New LWP 5641]
[New LWP 5653]
[New LWP 5650]
[New LWP 5655]
[New LWP 5659]
[New LWP 7697]
[New LWP 5657]
[New LWP 5656]
[New LWP 5645]
[New LWP 5660]
[New LWP 5647]
[New LWP 5651]
[New LWP 5649]
[New LWP 5646]
[New LWP 5652]
[New LWP 5654]
[New LWP 5658]
[New LWP 5661]
[New LWP 5669]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Core was generated by `/usr/bin/kwin_x11 --replace'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI___pthread_sigmask (how=1, newmask=<optimized out>, oldmask=0x0) at pthread_sigmask.c:43
43	  return (INTERNAL_SYSCALL_ERROR_P (result)
[Current thread is 1 (Thread 0x7fa876f39a00 (LWP 5635))]

Cannot QML trace cores :(
Unexpectedly stumbled over an objfile (/usr/lib/nvidia/libnvidia-glcore.so.340.108) without build_id. Not creating payload.
[Current thread is 1 (Thread 0x7fa876f39a00 (LWP 5635))]

Thread 21 (Thread 0x7fa82d7fa6c0 (LWP 5669)):
#0  0x00007fa87bb20f6f in __GI___poll (fds=0x55c5891c4100, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa87b201276 in g_main_context_poll_unlocked (priority=2147483647, n_fds=1, fds=0x55c5891c4100, timeout=<optimized out>, context=0x7fa808000c60) at ../glib/glib/gmain.c:4653
#2  g_main_context_iterate_unlocked.isra.0 (context=context@entry=0x7fa808000c60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/glib/gmain.c:4344
#3  0x00007fa87b1a1162 in g_main_context_iteration (context=0x7fa808000c60, may_block=1) at ../glib/glib/gmain.c:4414
#4  0x00007fa87c39d074 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa808000b70, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#5  0x00007fa87c16cf5e in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=..., this=0x7fa82d7f9b50) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:100
#6  QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa82d7f9b50, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:182
#7  0x00007fa87c24a23f in QThread::exec() (this=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread.cpp:579
#8  QThread::run() (this=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread.cpp:700
#9  0x00007fa87c2c9e63 in operator() (__closure=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:324
#10 (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:260
#11 QThreadPrivate::start(void*) (arg=0x55c5891e2800) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:283
#12 0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#13 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 20 (Thread 0x7fa82dffb6c0 (LWP 5661)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588db0460) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588db0460, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588db0460, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588db0410, cond=0x55c588db0438) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588db0438, mutex=0x55c588db0410) at pthread_cond_wait.c:618
#5  0x00007fa86ded1b5c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func() () at ../mesa-23.2.1/src/util/u_queue.c:290
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 19 (Thread 0x7fa82f7fe6c0 (LWP 5658)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 18 (Thread 0x7fa85dbfb6c0 (LWP 5654)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 17 (Thread 0x7fa85ebfd6c0 (LWP 5652)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d974a8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d974a8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d974a8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d97458, cond=0x55c588d97480) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d97480, mutex=0x55c588d97458) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 16 (Thread 0x7fa87497d6c0 (LWP 5646)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d96c68) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d96c68, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d96c68, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d96c18, cond=0x55c588d96c40) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d96c40, mutex=0x55c588d96c18) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 15 (Thread 0x7fa86cdfd6c0 (LWP 5649)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d97088) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d97088, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d97088, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d97038, cond=0x55c588d97060) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d97060, mutex=0x55c588d97038) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 14 (Thread 0x7fa85f3fe6c0 (LWP 5651)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d97348) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d97348, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d97348, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d972f8, cond=0x55c588d97320) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d97320, mutex=0x55c588d972f8) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 13 (Thread 0x7fa86ddff6c0 (LWP 5647)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d96dc8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d96dc8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d96dc8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d96d78, cond=0x55c588d96da0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d96da0, mutex=0x55c588d96d78) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 12 (Thread 0x7fa82e7fc6c0 (LWP 5660)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 11 (Thread 0x7fa87517e6c0 (LWP 5645)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d96b08) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d96b08, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d96b08, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d96ab8, cond=0x55c588d96ae0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d96ae0, mutex=0x55c588d96ab8) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 10 (Thread 0x7fa85cbf96c0 (LWP 5656)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 9 (Thread 0x7fa82ffff6c0 (LWP 5657)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 8 (Thread 0x7fa827fff6c0 (LWP 7697)):
#0  0x00007fa87bb20f6f in __GI___poll (fds=0x55c5892c9bd0, nfds=1, timeout=15247) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa87b201276 in g_main_context_poll_unlocked (priority=2147483647, n_fds=1, fds=0x55c5892c9bd0, timeout=<optimized out>, context=0x7fa7f0000c60) at ../glib/glib/gmain.c:4653
#2  g_main_context_iterate_unlocked.isra.0 (context=context@entry=0x7fa7f0000c60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/glib/gmain.c:4344
#3  0x00007fa87b1a1162 in g_main_context_iteration (context=0x7fa7f0000c60, may_block=1) at ../glib/glib/gmain.c:4414
#4  0x00007fa87c39d074 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa7f00010b0, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#5  0x00007fa87c16cf5e in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=..., this=0x7fa827ffeb50) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:100
#6  QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa827ffeb50, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:182
#7  0x00007fa87c24a23f in QThread::exec() (this=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread.cpp:579
#8  QThread::run() (this=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread.cpp:700
#9  0x00007fa87c2c9e63 in operator() (__closure=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:324
#10 (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:260
#11 QThreadPrivate::start(void*) (arg=0x55c589304620) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:283
#12 0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#13 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 7 (Thread 0x7fa82effd6c0 (LWP 5659)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 6 (Thread 0x7fa85d3fa6c0 (LWP 5655)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 5 (Thread 0x7fa85fbff6c0 (LWP 5650)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d971e8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d971e8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d971e8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d97198, cond=0x55c588d971c0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d971c0, mutex=0x55c588d97198) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 4 (Thread 0x7fa85e3fc6c0 (LWP 5653)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d42ed0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d42ed0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d42e80, cond=0x55c588d42ea8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d42ea8, mutex=0x55c588d42e80) at pthread_cond_wait.c:618
#5  0x00007fa86e4b2db4 in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  lp_cs_tpool_worker() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_cs_tpool.c:49
#7  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#8  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#9  0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 3 (Thread 0x7fa876b616c0 (LWP 5641)):
#0  0x00007fa87bb20f6f in __GI___poll (fds=0x55c588cb5e90, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa87b201276 in g_main_context_poll_unlocked (priority=2147483647, n_fds=1, fds=0x55c588cb5e90, timeout=<optimized out>, context=0x7fa870000c80) at ../glib/glib/gmain.c:4653
#2  g_main_context_iterate_unlocked.isra.0 (context=context@entry=0x7fa870000c80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/glib/gmain.c:4344
#3  0x00007fa87b1a1162 in g_main_context_iteration (context=0x7fa870000c80, may_block=1) at ../glib/glib/gmain.c:4414
#4  0x00007fa87c39d09a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa870000b70, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventdispatcher_glib.cpp:395
#5  0x00007fa87c16cf5e in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=..., this=0x7fa876b60af0) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:100
#6  QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa876b60af0, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:182
#7  0x00007fa87c24a13f in QThread::exec() (this=this@entry=0x7fa87d903b80 <_ZZN13QGlobalStaticIN14QtGlobalStatic6HolderIN12_GLOBAL__N_116Q_QGS__q_managerEEEE8instanceEvE6holder.lto_priv.0>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/global/qflags.h:74
#8  0x00007fa87d87b95f in QDBusConnectionManager::run() (this=0x7fa87d903b80 <_ZZN13QGlobalStaticIN14QtGlobalStatic6HolderIN12_GLOBAL__N_116Q_QGS__q_managerEEEE8instanceEvE6holder.lto_priv.0>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/dbus/qdbusconnection.cpp:131
#9  0x00007fa87c2c9e63 in operator() (__closure=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:324
#10 (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:260
#11 QThreadPrivate::start(void*) (arg=0x7fa87d903b80 <_ZZN13QGlobalStaticIN14QtGlobalStatic6HolderIN12_GLOBAL__N_116Q_QGS__q_managerEEEE8instanceEvE6holder.lto_priv.0>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/thread/qthread_unix.cpp:283
#12 0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#13 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 2 (Thread 0x7fa86d5fe6c0 (LWP 5648)):
#0  0x00007fa87baa74ae in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55c588d96f28) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55c588d96f28, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007fa87baa752f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55c588d96f28, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007fa87baa9d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c588d96ed8, cond=0x55c588d96f00) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55c588d96f00, mutex=0x55c588d96ed8) at pthread_cond_wait.c:618
#5  0x00007fa86e4ca54c in cnd_wait () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:135
#6  util_semaphore_wait () at ../mesa-23.2.1/src/util/u_thread.h:184
#7  thread_function() () at ../mesa-23.2.1/src/gallium/drivers/llvmpipe/lp_rast.c:1180
#8  0x00007fa86df1ca0c in impl_thrd_routine() () at ../mesa-23.2.1/src/c11/impl/threads_posix.c:67
#9  0x00007fa87baaa9eb in start_thread (arg=<optimized out>) at pthread_create.c:444
#10 0x00007fa87bb2e7cc in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 1 (Thread 0x7fa876f39a00 (LWP 5635)):
[KCrash Handler]
#5  0x000055c5883c7d2e in KWin::GlxContext::doneCurrent() const (this=0x0) at /usr/src/debug/kwin/kwin-5.90.0/src/backends/x11/standalone/glxcontext.cpp:42
#6  KWin::GlxBackend::doneCurrent() (this=0x55c589101a50) at /usr/src/debug/kwin/kwin-5.90.0/src/backends/x11/standalone/x11_standalone_glx_backend.cpp:771
#7  KWin::GlxBackend::~GlxBackend() (this=0x55c589101a50, this=<optimized out>) at /usr/src/debug/kwin/kwin-5.90.0/src/backends/x11/standalone/x11_standalone_glx_backend.cpp:163
#8  0x000055c5883c80ed in KWin::GlxBackend::~GlxBackend() (this=0x55c589101a50, this=<optimized out>) at /usr/src/debug/kwin/kwin-5.90.0/src/backends/x11/standalone/x11_standalone_glx_backend.cpp:176
#9  0x00007fa87ebd2542 in std::default_delete<KWin::OpenGLBackend>::operator()(KWin::OpenGLBackend*) const (__ptr=<optimized out>, this=<optimized out>) at /usr/include/c++/13.2.1/bits/unique_ptr.h:93
#10 std::unique_ptr<KWin::OpenGLBackend, std::default_delete<KWin::OpenGLBackend> >::~unique_ptr() (this=0x7ffcb8a458a0, this=<optimized out>) at /usr/include/c++/13.2.1/bits/unique_ptr.h:404
#11 KWin::X11Compositor::attemptOpenGLCompositing() (this=this@entry=0x55c5890f4550) at /usr/src/debug/kwin/kwin-5.90.0/src/compositor_x11.cpp:238
#12 0x00007fa87ebd2e44 in KWin::X11Compositor::start() (this=0x55c5890f4550) at /usr/src/debug/kwin/kwin-5.90.0/src/compositor_x11.cpp:297
#13 0x00007fa87c1b9ec9 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffcb8a45ac8, r=0x55c5890f4550, this=0x55c5890f4cc0, this=<optimized out>, r=<optimized out>, a=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qobjectdefs_impl.h:433
#14 doActivate<false>(QObject*, int, void**) (sender=0x55c588d85eb0, signal_index=60, argv=0x7ffcb8a45ac8) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qobject.cpp:4021
#15 0x00007fa87edb50ca in KWin::Workspace::slotReconfigure() (this=0x55c588dad770) at /usr/src/debug/kwin/kwin-5.90.0/src/workspace.cpp:975
#16 0x00007fa87c1b9ec9 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffcb8a45c90, r=0x55c588dad770, this=0x55c589292690, this=<optimized out>, r=<optimized out>, a=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qobjectdefs_impl.h:433
#17 doActivate<false>(QObject*, int, void**) (sender=0x55c588dad940, signal_index=3, argv=0x7ffcb8a45c90) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qobject.cpp:4021
#18 0x00007fa87c1c1f84 in QTimer::timeout(QTimer::QPrivateSignal) (_t1=..., this=0x55c588dad940) at /usr/src/debug/qt6-base/build/src/corelib/Core_autogen/include/moc_qtimer.cpp:272
#19 QTimer::timerEvent(QTimerEvent*) (e=<optimized out>, this=0x55c588dad940) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qtimer.cpp:252
#20 QTimer::timerEvent(QTimerEvent*) (this=0x55c588dad940, e=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qtimer.cpp:246
#21 0x00007fa87c1a53b6 in QObject::event(QEvent*) (this=0x55c588dad940, e=0x7ffcb8a45e30) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qobject.cpp:1414
#22 0x00007fa87d17319b in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x55c588dad940, e=0x7ffcb8a45e30) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/widgets/kernel/qapplication.cpp:3296
#23 0x00007fa87c162a78 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c588dad940, event=0x7ffcb8a45e30) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qcoreapplication.cpp:1121
#24 0x00007fa87c2c8236 in QCoreApplication::sendEvent(QObject*, QEvent*) (event=0x7ffcb8a45e30, receiver=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qcoreapplication.cpp:1539
#25 QTimerInfoList::activateTimers() (this=0x55c588d38810) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qtimerinfo_unix.cpp:507
#26 0x00007fa87c39e90c in timerSourceDispatch(GSource*, GSourceFunc, gpointer) (source=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventdispatcher_glib.cpp:149
#27 0x00007fa87b1a2f69 in g_main_dispatch (context=0x7fa870000ef0) at ../glib/glib/gmain.c:3476
#28 0x00007fa87b201327 in g_main_context_dispatch_unlocked (context=0x7fa870000ef0) at ../glib/glib/gmain.c:4284
#29 g_main_context_iterate_unlocked.isra.0 (context=context@entry=0x7fa870000ef0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/glib/gmain.c:4349
#30 0x00007fa87b1a1162 in g_main_context_iteration (context=0x7fa870000ef0, may_block=1) at ../glib/glib/gmain.c:4414
#31 0x00007fa87c39d074 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55c588d490d0, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#32 0x00007fa87c16cf5e in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=..., this=0x7ffcb8a46100) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:100
#33 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ffcb8a46100, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/kernel/qeventloop.cpp:182
#34 0x00007fa87c165518 in QCoreApplication::exec() () at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/corelib/global/qflags.h:74
#35 0x00007fa87d16fd1a in QApplication::exec() () at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.1/src/widgets/kernel/qapplication.cpp:2574
#36 0x000055c5883a7ba5 in main(int, char**) (argc=<optimized out>, argv=0x7ffcb8a46498) at /usr/src/debug/kwin/kwin-5.90.0/src/main_x11.cpp:460

Reported using DrKonqi
Comment 1 Omar Ibrahim 2023-12-01 21:05:41 UTC
Output of "glxinfo | grep OpenGL"
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: Quadro NVS 290/PCIe/SSE2
OpenGL core profile version string: 3.3.0 NVIDIA 340.108
OpenGL core profile shading language version string: 3.30 NVIDIA via Cg compiler
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.3.0 NVIDIA 340.108
OpenGL shading language version string: 3.30 NVIDIA via Cg compiler
OpenGL context flags: (none)
OpenGL profile mask: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 2.0 NVIDIA 340.108 340.108
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.00
OpenGL ES profile extensions:
Comment 2 Bug Janitor Service 2024-02-22 15:11:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/5275
Comment 3 Vlad Zahorodnii 2024-02-22 15:53:41 UTC
Git commit ff4cfe279ac9ed2fbf262151661101db3258d888 by Vlad Zahorodnii.
Committed on 22/02/2024 at 15:43.
Pushed by vladz into branch 'master'.

backends/x11: Avoid calling doneCurrent() if GLX context has not been created

M  +8    -5    src/backends/x11/standalone/x11_standalone_glx_backend.cpp

https://invent.kde.org/plasma/kwin/-/commit/ff4cfe279ac9ed2fbf262151661101db3258d888
Comment 4 Vlad Zahorodnii 2024-02-22 16:05:01 UTC
Git commit df4b12550680e8a2a6bf34bf13e932e5b815159c by Vlad Zahorodnii.
Committed on 22/02/2024 at 15:57.
Pushed by vladz into branch 'Plasma/6.0'.

backends/x11: Avoid calling doneCurrent() if GLX context has not been created


(cherry picked from commit ff4cfe279ac9ed2fbf262151661101db3258d888)

M  +8    -5    src/backends/x11/standalone/x11_standalone_glx_backend.cpp

https://invent.kde.org/plasma/kwin/-/commit/df4b12550680e8a2a6bf34bf13e932e5b815159c
Comment 5 Omar Ibrahim 2024-02-29 07:44:00 UTC
KWin version: 6.0.0
Qt Version: 6.6.2
Qt compile version: 6.6.2
XCB compile version: 1.16

Operation Mode: X11 only

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_X11_XCB: yes
HAVE_GLX: yes

X11
===
Vendor: The X.Org Foundation
Vendor Release: 12101011
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Plugin recommends border size: None
onAllDesktopsAvailable: true
alphaChannelSupported: false
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0, 2
decorationButtonsRight: 6, 3, 4, 5
borderSize: 0
gridUnit: 10
font: Noto Sans,10,-1,0,400,0,0,0,0,0,0,0,0,0,0,1
smallSpacing: 2
largeSpacing: 10

Output backend
==============
Name: KWin::X11StandaloneBackend

Cursor
======
themeName: breeze_cursors
themeSize: 24

Options
=======
focusPolicy: ClickToFocus
xwaylandCrashPolicy: 1
xwaylandMaxCrashCount: 3
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
activeMouseScreen: true
placement: 5
activationDesktopPolicy: SwitchToOtherDesktop
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: false
focusStealingPreventionLevel: 1
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: MouseRaise
commandActiveTitlebar2: MouseNothing
commandActiveTitlebar3: MouseOperationsMenu
commandInactiveTitlebar1: MouseActivateAndRaise
commandInactiveTitlebar2: MouseNothing
commandInactiveTitlebar3: MouseOperationsMenu
commandWindow1: MouseActivateRaiseAndPassClick
commandWindow2: MouseActivateAndPassClick
commandWindow3: MouseActivateAndPassClick
commandWindowWheel: MouseNothing
commandAll1: MouseUnrestrictedMove
commandAll2: MouseToggleRaiseAndLower
commandAll3: MouseUnrestrictedResize
keyCmdAllModKey: 16777250
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
compositingMode: 1
useCompositing: true
hiddenPreviews: 1
glSmoothScale: 2
glStrictBinding: true
glStrictBindingFollowsDriver: true
glPreferBufferSwap: AutoSwapStrategy
glPlatformInterface: 1
windowsBlockCompositing: true
allowTearing: true

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 75
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Active screen follows mouse:  yes
Number of Screens: 1

Screen 0:
---------
Name: DVI-I-0
Enabled: 1
Geometry: 0,0,1600x1200
Scale: 1
Refresh Rate: 60000
Adaptive Sync: incapable

Compositing
===========
Compositing is not active






Drkonqi output
           PID: 2788 (kwin_x11)
           UID: 1000 (ddrone)
           GID: 1000 (ddrone)
        Signal: 11 (SEGV)
     Timestamp: Thu 2024-02-29 09:26:20 EET (14min ago)
  Command Line: /usr/bin/kwin_x11 --replace
    Executable: /usr/bin/kwin_x11
 Control Group: /user.slice/user-1000.slice/user@1000.service/session.slice/plasma-kwin_x11.service
          Unit: user@1000.service
     User Unit: plasma-kwin_x11.service
         Slice: user-1000.slice
     Owner UID: 1000 (ddrone)
       Boot ID: 2c33728ffae448e7b758406c3da1d9d3
    Machine ID: a845f968822a48d1a0d90261328b7538
      Hostname: dell
       Storage: /var/lib/systemd/coredump/core.kwin_x11.1000.2c33728ffae448e7b758406c3da1d9d3.2788.1709191580000000.zst (present)
  Size on Disk: 5.5M
       Message: Process 2788 (kwin_x11) of user 1000 dumped core.
                
                Module libnvidia-glcore.so.340.108 without build-id.
                Module libnvidia-tls.so.340.108 without build-id.
                Module libGL.so.1 without build-id.
                Stack trace of thread 2788:
                #0  0x0000746a5d8ab32c n/a (libc.so.6 + 0x8d32c)
                #1  0x0000746a5d85a6c8 raise (libc.so.6 + 0x3c6c8)
                #2  0x0000746a60f4943f _ZN6KCrash19defaultCrashHandlerEi (libKF6Crash.so.6 + 0x643f)
                #3  0x0000746a5d85a770 n/a (libc.so.6 + 0x3c770)
                #4  0x000059bbd3729ebe n/a (kwin_x11 + 0x59ebe)
                #5  0x000059bbd372a27d n/a (kwin_x11 + 0x5a27d)
                #6  0x0000746a60767962 _ZN4KWin13X11Compositor24attemptOpenGLCompositingEv (libkwin.so.6 + 0x167962)
                #7  0x0000746a6076a674 _ZN4KWin13X11Compositor5startEv (libkwin.so.6 + 0x16a674)
                #8  0x0000746a5df7c2c7 _ZN7QObject5eventEP6QEvent (libQt6Core.so.6 + 0x17c2c7)
                #9  0x0000746a5eef438b _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt6Widgets.so.6 + 0xf438b)
                #10 0x0000746a5df39818 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt6Core.so.6 + 0x139818)
                #11 0x0000746a5df39b9b _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt6Core.so.6 + 0x139b9b)
                #12 0x0000746a5e1758a4 n/a (libQt6Core.so.6 + 0x3758a4)
                #13 0x0000746a5cf0df69 n/a (libglib-2.0.so.0 + 0x59f69)
                #14 0x0000746a5cf6c3a7 n/a (libglib-2.0.so.0 + 0xb83a7)
                #15 0x0000746a5cf0c162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #16 0x0000746a5e1739c4 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x3739c4)
                #17 0x0000746a5df43d6e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x143d6e)
                #18 0x0000746a5df3c2b8 _ZN16QCoreApplication4execEv (libQt6Core.so.6 + 0x13c2b8)
                #19 0x000059bbd3709c25 n/a (kwin_x11 + 0x39c25)
                #20 0x0000746a5d843cd0 n/a (libc.so.6 + 0x25cd0)
                #21 0x0000746a5d843d8a __libc_start_main (libc.so.6 + 0x25d8a)
                #22 0x000059bbd370def5 n/a (kwin_x11 + 0x3def5)
                
                Stack trace of thread 2798:
                #0  0x0000746a5d9190bf __poll (libc.so.6 + 0xfb0bf)
                #1  0x0000746a60fb620b n/a (libxcb.so.1 + 0xd20b)
                #2  0x0000746a60fb7f3d xcb_wait_for_event (libxcb.so.1 + 0xef3d)
                #3  0x0000746a589aef4e n/a (libQt6XcbQpa.so.6 + 0x4bf4e)
                #4  0x0000746a5e0a0bd3 n/a (libQt6Core.so.6 + 0x2a0bd3)
                #5  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #6  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2797:
                #0  0x0000746a5d9190bf __poll (libc.so.6 + 0xfb0bf)
                #1  0x0000746a5cf6c2f6 n/a (libglib-2.0.so.0 + 0xb82f6)
                #2  0x0000746a5cf0c162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #3  0x0000746a5e1739c4 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x3739c4)
                #4  0x0000746a5df43d6e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x143d6e)
                #5  0x0000746a5e02106f _ZN7QThread4execEv (libQt6Core.so.6 + 0x22106f)
                #6  0x0000746a5f5879df n/a (libQt6DBus.so.6 + 0x299df)
                #7  0x0000746a5e0a0bd3 n/a (libQt6Core.so.6 + 0x2a0bd3)
                #8  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #9  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2861:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2863:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2867:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2868:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2940:
                #0  0x0000746a5d9190bf __poll (libc.so.6 + 0xfb0bf)
                #1  0x0000746a5cf6c2f6 n/a (libglib-2.0.so.0 + 0xb82f6)
                #2  0x0000746a5cf0c162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #3  0x0000746a5e1739c4 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x3739c4)
                #4  0x0000746a5df43d6e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x143d6e)
                #5  0x0000746a5e02116f _ZN7QThread3runEv (libQt6Core.so.6 + 0x22116f)
                #6  0x0000746a5e0a0bd3 n/a (libQt6Core.so.6 + 0x2a0bd3)
                #7  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #8  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2908:
                #0  0x0000746a5d9190bf __poll (libc.so.6 + 0xfb0bf)
                #1  0x0000746a5cf6c2f6 n/a (libglib-2.0.so.0 + 0xb82f6)
                #2  0x0000746a5cf0c162 g_main_context_iteration (libglib-2.0.so.0 + 0x58162)
                #3  0x0000746a5e1739c4 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt6Core.so.6 + 0x3739c4)
                #4  0x0000746a5df43d6e _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt6Core.so.6 + 0x143d6e)
                #5  0x0000746a5e02116f _ZN7QThread3runEv (libQt6Core.so.6 + 0x22116f)
                #6  0x0000746a5e0a0bd3 n/a (libQt6Core.so.6 + 0x2a0bd3)
                #7  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #8  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2862:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2864:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2866:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2869:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2865:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5545808c n/a (swrast_dri.so + 0x65808c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2870:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2871:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2872:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2873:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2875:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2874:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2877:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a54e8686c n/a (swrast_dri.so + 0x8686c)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                
                Stack trace of thread 2876:
                #0  0x0000746a5d8a5ebe n/a (libc.so.6 + 0x87ebe)
                #1  0x0000746a5d8a8750 pthread_cond_wait (libc.so.6 + 0x8a750)
                #2  0x0000746a5543cef4 n/a (swrast_dri.so + 0x63cef4)
                #3  0x0000746a54e9e83c n/a (swrast_dri.so + 0x9e83c)
                #4  0x0000746a5d8a955a n/a (libc.so.6 + 0x8b55a)
                #5  0x0000746a5d926a3c n/a (libc.so.6 + 0x108a3c)
                ELF object binary architecture: AMD x86-64
Comment 6 Omar Ibrahim 2024-02-29 07:54:48 UTC
ADDITIONAL INFORMATION
System Settings still render blank (only the borders are rendering) under the "Automatic/Opengl" Plasma renderer
running $systemsettings produces this output
failed to create drawable
qt.qml.typeresolution.cycle: Cyclic dependency detected between "qrc:/qt/qml/org/kde/desktop/private/TextFieldContextMenu.qml" and "qrc:/qt/qml/org/kde/desktop/MenuItem.qml"
qt.qml.typeresolution.cycle: Cyclic dependency detected between "qrc:/qt/qml/org/kde/desktop/private/TextFieldContextMenu.qml" and "qrc:/qt/qml/org/kde/desktop/MenuItem.qml"
failed to create drawable
failed to create drawable
failed to create drawable

Dolphin runs fine but when I switch workspaces All panes disappear (places and terminal panes)
Everything was fine on plasma 5.27
I also tried Nouveau and apps rendered fine but the kwin_x11 crashes were the same.
Comment 7 nessie 2024-05-18 16:35:37 UTC
I have a similar(?) issue with NVIDIA 550.78: https://invent.kde.org/-/snippets/3127

Probably useful specs:
===================
Operating System: Fedora Linux 40
KDE Plasma Version: 6.0.4
KDE Frameworks Version: 6.2.0
Qt Version: 6.7.0
Kernel Version: 6.8.9-300.fc40.x86_64 (64-bit)
Graphics Platform: X11
Graphics Processor: NVIDIA GeForce GTX 980 Ti/PCIe/SSE2 (550.78)